package org.hibernate.bugs.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import org.hibernate.envers.Audited;

@Audited
@Entity
public class DocumentLineA extends BaseDocumentLine
{
	private DocumentA document;

	public DocumentLineA()
	{
		super();
	}

	public DocumentLineA(String text)
	{
		super(text);
	}

	@ManyToOne(fetch = FetchType.LAZY, optional=false)
	@JoinColumn(updatable=false, insertable=true, nullable=false)
	public DocumentA getDocument()
	{
		return document;
	}

	public void setDocument(DocumentA document)
	{
		this.document = document;
	}
}
